using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.StoragesContracts
{
	public interface IWorkshopStorage
	{
		List<WorkshopViewModel> GetFullList();
		List<WorkshopViewModel> GetFilteredList(WorkshopSearchModel model);
		WorkshopViewModel? GetElement(WorkshopSearchModel model);
		WorkshopViewModel? Insert(WorkshopBindingModel model);
		WorkshopViewModel? Update(WorkshopBindingModel model);
		WorkshopViewModel? Delete(WorkshopBindingModel model);
	}
}
